# Get transaction specific

Returns transaction data in the exact format as returned by backend, including all coin specific fields.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## **Reference:** [**Here**](https://github.com/trezor/blockbook/blob/master/docs/api.md#get-transaction-specific)

```bash
GET /api/v2/tx-specific/<txid>
```

## **Parameters**

**`transaction id (hash)`**- string, required.

Example: `0694bfc6ff68e55975718e9547c5343db4afcdfa783cc8421ddd50642677892b`

## Returns

Example response:

```bash
{
	"txid": "0694bfc6ff68e55975718e9547c5343db4afcdfa783cc8421ddd50642677892b",
	"hash": "448653a300567ea007bc017c6da3413c684f027a788da6c81b65f1a19d787f76",
	"version": 1,
	"size": 304,
	"vsize": 277,
	"weight": 1108,
	"locktime": 0,
	"vin": [
		{
			"coinbase": "03d5fb0b194d696e656420627920416e74506f6f6c200d008200efc52e9ffabe6d6d2641a8cd8c6ed0af79b99e118b624171da63e3ba7c481c566216b18edb6aec0c0200000000000000000089f51ffd000000000000",
			"txinwitness": [
				"0000000000000000000000000000000000000000000000000000000000000000"
			],
			"sequence": 4294967295
		}
	],
	"vout": [
		{
			"value": 6.49189104,
			"n": 0,
			"scriptPubKey": {
				"asm": "OP_HASH160 4b09d828dfc8baaba5d04ee77397e04b1050cc73 OP_EQUAL",
				"desc": "addr(38XnPvu9PmonFU9WouPXUjYbW91wa5MerL)#ap48vquh",
				"hex": "a9144b09d828dfc8baaba5d04ee77397e04b1050cc7387",
				"address": "38XnPvu9PmonFU9WouPXUjYbW91wa5MerL",
				"type": "scripthash"
			}
		},
		{
			"value": 0.00000000,
			"n": 1,
			"scriptPubKey": {
				"asm": "OP_RETURN aa21a9edeb153a4d97ba14b1f5c282fde27944a760fe269f563458fac157681e5d56da07",
				"desc": "raw(6a24aa21a9edeb153a4d97ba14b1f5c282fde27944a760fe269f563458fac157681e5d56da07)#33ks2tuy",
				"hex": "6a24aa21a9edeb153a4d97ba14b1f5c282fde27944a760fe269f563458fac157681e5d56da07",
				"type": "nulldata"
			}
		},
		{
			"value": 0.00000000,
			"n": 2,
			"scriptPubKey": {
				"asm": "OP_RETURN 52534b424c4f434b3a179ffccca770b4c6e2d50acb332f01759de1a5888aef56cf1a2e3d20004f92ae",
				"desc": "raw(6a2952534b424c4f434b3a179ffccca770b4c6e2d50acb332f01759de1a5888aef56cf1a2e3d20004f92ae)#pvmf0rqa",
				"hex": "6a2952534b424c4f434b3a179ffccca770b4c6e2d50acb332f01759de1a5888aef56cf1a2e3d20004f92ae",
				"type": "nulldata"
			}
		}
	],
	"hex": "010000000001010000000000000000000000000000000000000000000000000000000000000000ffffffff5603d5fb0b194d696e656420627920416e74506f6f6c200d008200efc52e9ffabe6d6d2641a8cd8c6ed0af79b99e118b624171da63e3ba7c481c566216b18edb6aec0c0200000000000000000089f51ffd000000000000ffffffff03f0d6b1260000000017a9144b09d828dfc8baaba5d04ee77397e04b1050cc73870000000000000000266a24aa21a9edeb153a4d97ba14b1f5c282fde27944a760fe269f563458fac157681e5d56da0700000000000000002b6a2952534b424c4f434b3a179ffccca770b4c6e2d50acb332f01759de1a5888aef56cf1a2e3d20004f92ae0120000000000000000000000000000000000000000000000000000000000000000000000000",
	"blockhash": "00000000000000000004a49543c0b6e2043e67b513c0d9100fbdf91f662c3ad1",
	"confirmations": 57244,
	"time": 1681476973,
	"blocktime": 1681476973
}
```

Response for Bitcoin unconfirmed transaction (*blockHeight*: -1, *confirmations*: 0, mining estimates *confirmationETABlocks* and *confirmationETASeconds*):

```bash
{
  "txid": "cd8ec77174e426070d0a50779232bba7312b712e2c6843d82d963d7076c61366",
  "version": 2,
  "vin": [
    {
      "txid": "47687cc4abb58d815168686465a38113a0608b2568a6d6480129d197e653f6dc",
      "sequence": 4294967295,
      "n": 0,
      "addresses": ["bc1qka0gpenex558g8gpxmpx247mwhw695k6a7yhs4"],
      "isAddress": true,
      "value": "1983687"
    }
  ],
  "vout": [
    {
      "value": "3106",
      "n": 0,
      "hex": "0020d7da4868055fde790a8581637ab81c216e17a3f8a099283da6c4a27419ffa539",
      "addresses": [
        "bc1q6ldys6q9tl08jz59s93h4wquy9hp0glc5zvjs0dxcj38gx0l55uspu8x86"
      ],
      "isAddress": true
    },
    {
      "value": "1979101",
      "n": 1,
      "hex": "0014381be30ca46ddf378ef69ebc4a601bd6ff30b754",
      "addresses": ["bc1q8qd7xr9ydh0n0rhkn67y5cqm6mlnpd65dcyeeg"],
      "isAddress": true
    }
  ],
  "blockHeight": -1,
  "confirmations": 0,
  "confirmationETABlocks": 3,
  "confirmationETASeconds": 2055,
  "blockTime": 1675270935,
  "size": 234,
  "vsize": 153,
  "value": "1982207",
  "valueIn": "1983687",
  "fees": "1480",
  "hex": "020000000001...b18f00000000"
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/api/v2/tx-specific/0694bfc6ff68e55975718e9547c5343db4afcdfa783cc8421ddd50642677892b \
 -X GET \
 -H "Content-Type: application/json"
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.bitcoin.validationcloud.io/v1/<YOUR_API_KEY>/api/v2/tx-specific/0694bfc6ff68e55975718e9547c5343db4afcdfa783cc8421ddd50642677892b \
 -X GET \
 -H "Content-Type: application/json"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/bitcoin/blockbook-indexer-rest-api/get-transaction-specific.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
